#ifndef CONSTANTS
#define CONSTANTS

#include "RtypesCore.h"

const Double_t B_MASS_VAR_MIN = 5100.;
const Double_t B_MASS_VAR_MAX = 6000.;
const Double_t B_MASS_FIT_MIN = 5100.;
const Double_t B_MASS_FIT_MAX = 5600.;
const Int_t B_MASS_HIST_BINS = 70;

const Double_t K_MASS = 493.677;
const Double_t PSI2S_MASS = 3686.093;
const Double_t JPSI_MASS = 3096.900;
const Double_t KSTAR_MASS = 891.760;

const int PID_KAON = 321;
const int PID_PION = 211;
const int PID_MUON = 13;

const double BRF_JPSI_MUMU_VAL = 0.0593;
const double BRF_JPSI_MUMU_ERR = 0.0006;

const double BRF_PSI2S_MUMU_VAL = 0.0077;
const double BRF_PSI2S_MUMU_ERR = 0.0008;

#endif